White Label Admin - Add user to an organization
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/organizations/{innerOrganizationId}/members \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"datasets": [
"<string>"
],
"usernameOrEmail": "janjongboom"
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/organizations/{innerOrganizationId}/members"
payload = {
"datasets": ["<string>"],
"usernameOrEmail": "janjongboom"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({datasets: ['<string>'], usernameOrEmail: 'janjongboom'})
};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/organizations/{innerOrganizationId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}White Label Admin - Add user to an organization
deprecated
DEPRECATED. White label admin only API to add a user to an organization. If no user is provided, the current user is used.
POST
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
organizations
/
{innerOrganizationId}
/
members
White Label Admin - Add user to an organization
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Organization ID within the context of a white label
Body
application/json
Available options:
admin, member, guest Only used for 'guest' users. Limits the datasets the user has access to.
Username or email of the user to be added to the project or organization. If no user is provided, the user ID attached to the JWT will be used.
Example:
"janjongboom"
Was this page helpful?
White Label Admin - Add organization API key
Previous
White Label Admin - Remove user from an organization
Next
⌘I